=== debian/changelog ===
sysdig (0.19.1-1build2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:52:48 +0000

sysdig (0.19.1-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:54:30 +0000

sysdig (0.19.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #872035)
  * Apply patch to fix LuaJIT compilation failures. (Closes: #873326)
  * Bump S-V to 4.1.1; no changes needed.
  * Switch sysdig-dkms to kernel section.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 07 Oct 2017 19:45:37 -0400
