=== debian/control ===
Source: sysdig
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.20120417~),
               libb64-dev,
               libcurl4-openssl-dev,
               libjq-dev,
               libjsoncpp-dev (>= 0.10.2),
               libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,
               libncurses5-dev,
               libssl-dev,
               pandoc (>= 1.11),
               zlib1g-dev
Build-Depends-Indep: dkms
Standards-Version: 4.1.1
Homepage: http://www.sysdig.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/sysdig.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sysdig.git

Package: sysdig
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: sysdig-dkms
Description: system-level exploration and troubleshooting tool
 Sysdig instruments your physical and virtual machines at the OS level
 by installing into the Linux kernel and capturing system calls and
 other OS events. Then, using sysdig's command line interface, you can
 filter and decode these events in order to extract useful information
 and statistics.
 .
 Sysdig can be used to inspect live systems in real-time, or to generate
 trace files that can be analyzed at a later stage.
 .
 This package contains the tool to inspect trace files. If you want to
 inspect a live system, you also need to install the according kernel
 module, shipped in the package sysdig-dkms.

Package: sysdig-dkms
Section: kernel
Architecture: all
Depends: ${misc:Depends}
Description: system-level exploration and troubleshooting tool - kernel source
 Sysdig instruments your physical and virtual machines at the OS level
 by installing into the Linux kernel and capturing system calls and
 other OS events. Then, using sysdig's command line interface, you can
 filter and decode these events in order to extract useful information
 and statistics.
 .
 Sysdig can be used to inspect live systems in real-time, or to generate
 trace files that can be analyzed at a later stage.
 .
 This package contains the source for the kernel module of sysdig.
