=== debian/changelog ===
sysdig (0.21.0-1ubuntu1) cosmic; urgency=medium

  * Add patch to fix errors caused by proto_ops.getname() prototype change
    in Linux 4.17. (LP: #1773367)

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 13 Jun 2018 07:16:17 -0500

sysdig (0.21.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump compat to 11 with related fixes.
  * Update Vcs-* to salsa, use HTTPS for homepage.
  * Minor tweaks to d/copyright for policy compliance.
  * Drop unnecessary arg to debhelper

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 18 May 2018 15:55:51 -0400
