=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.20120417~),
+               debhelper (>= 11~),
                libb64-dev,
                libcurl4-openssl-dev,
                libjq-dev,
@@ -16,10 +16,10 @@
                pandoc (>= 1.11),
                zlib1g-dev
 Build-Depends-Indep: dkms
-Standards-Version: 4.1.1
-Homepage: http://www.sysdig.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/sysdig.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sysdig.git
+Standards-Version: 4.1.4
+Homepage: https://www.sysdig.org/
+Vcs-Git: https://salsa.debian.org/debian/sysdig.git
+Vcs-Browser: https://salsa.debian.org/debian/sysdig
 
 Package: sysdig
 Architecture: any
