=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sysdig-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
 https://github.com/draios/sysdig/releases .*/archive/(\d\S*)\.tar\.gz
