## sysdig 0.22.0

=== debian/changelog ===
sysdig (0.22.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #904489)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 24 Jul 2018 23:26:14 -0400
