=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: sysdig
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
+Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
                debhelper (>= 11~),
                libb64-dev,
                libcurl4-openssl-dev,
+	       libelf-dev,
                libjq-dev,
                libjsoncpp-dev (>= 0.10.2),
                libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,
