=== userspace/libscap/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,20 @@
+#
+# Copyright (C) 2013-2018 Draios Inc dba Sysdig.
+#
+# This file is part of sysdig .
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
 include_directories("${PROJECT_SOURCE_DIR}/common")
 include_directories("${ZLIB_INCLUDE}")
 if(CYGWIN)
@@ -12,17 +29,24 @@
 	scap_savefile.c
 	scap_procs.c
 	scap_userlist.c
-	flags_table.c
-	dynamic_params_table.c
-	event_table.c
-	syscall_info_table.c)
+	syscall_info_table.c
+	../../driver/dynamic_params_table.c
+	../../driver/event_table.c
+	../../driver/flags_table.c)
+
+if(CMAKE_SYSTEM_NAME MATCHES "Linux")
+	list(APPEND targetfiles
+		scap_bpf.c
+		../../driver/syscall_table.c
+		../../driver/fillers_table.c)
+endif()
 
 if(CYGWIN)
 	list(APPEND targetfiles
 		windows_hal.c)
 endif()
 
-add_library(scap STATIC 
+add_library(scap STATIC
 	${targetfiles})
 
 if(USE_BUNDLED_ZLIB)
@@ -32,14 +56,17 @@
 if (CMAKE_SYSTEM_NAME MATCHES "SunOS")
 	target_link_libraries(scap
 		socket nsl)
+elseif (CMAKE_SYSTEM_NAME MATCHES "Linux")
+	target_link_libraries(scap
+		elf
+		rt)
 elseif (WIN32)
 	target_link_libraries(scap
 		Ws2_32.lib)
 elseif (CYGWIN)
 	target_link_libraries(scap
 		/lib/w32api/libpsapi.a
-		${WIN_HAL_LIB}/dragent_win_hal.lib
-		)
+		${WIN_HAL_LIB}/dragent_win_hal.lib)
 endif()
 
 target_link_libraries(scap
