=== debian/changelog ===
sysdig (0.24.1-1ubuntu4~18.04.1) bionic; urgency=medium

  * Add patch to fix kernel NULL pointer dereference (LP: #1859178) 

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 10 Jan 2020 16:16:32 -0300

sysdig (0.24.1-1ubuntu3~18.04.1) bionic; urgency=medium

  * Sync with Eoan to fix 5.3 build issues (LP: #1853908)

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Mon, 25 Nov 2019 15:05:35 -0300

sysdig (0.24.1-1ubuntu3) eoan; urgency=medium

  * Add patch to fix build errors with Linux 5.1 (LP: #1834195)

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 25 Jun 2019 10:56:45 -0500

sysdig (0.24.1-1ubuntu2) disco; urgency=medium

  *  Add patch to fix build errors on arm64

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 14 Feb 2019 10:05:34 -0600

sysdig (0.24.1-1ubuntu1) disco; urgency=medium

  * Add patch to fix build errors with Linux 5.0 caused by change to
    access_ok macro (LP: #1813069)
  * Refresh patches to clean up hunk offset warnings

 -- Colin Ian King <colin.king@canonical.com>  Thu, 31 Jan 2019 11:04:11 +0100

sysdig (0.24.1-1) unstable; urgency=medium

  * New upstream version 0.24.1
  * Rework d/copyright to reflect change to Apache-2.0 license
  * Bump S-V with addition of R-R-R

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 21 Oct 2018 15:18:26 -0400

sysdig (0.19.1-1ubuntu1.1) bionic; urgency=medium

  * Fix build for Linux 5.0 (LP: #1826845)
    - debian/patches/0001-Update-for-change-to-access_ok-in-Linux-5.0.patch
    - debian/patches/Fix-build-failures-due-to-undefined-syscall-numbers.patch

 -- Connor Kuehl <connor.kuehl@canonical.com>  Tue, 14 May 2019 12:32:24 -0700

sysdig (0.19.1-1ubuntu1) bionic; urgency=medium

  * Add patch to fix errors caused by proto_ops.getname() prototype change
    in Linux 4.17. (LP: #1773367)

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 23 Nov 2018 12:05:36 -0200
