=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: sysdig
 Section: admin
 Priority: optional
-Maintainer: Evgeni Golov <evgeni@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
                debhelper (>= 11~),
                libb64-dev,
                libcurl4-openssl-dev,
-	       libelf-dev,
+               libelf-dev,
                libjq-dev,
                libjsoncpp-dev (>= 0.10.2),
                libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,
                libncurses5-dev,
                libssl-dev,
+               libtbb-dev,
                pandoc (>= 1.11),
                zlib1g-dev
 Build-Depends-Indep: dkms
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://www.sysdig.org/
 Vcs-Git: https://salsa.debian.org/debian/sysdig.git
 Vcs-Browser: https://salsa.debian.org/debian/sysdig
+Rules-Requires-Root: no
 
 Package: sysdig
 Architecture: any
